package com.mousetech.gourmetj.persistence.model;

import java.io.Serializable;
import jakarta.persistence.*;


/**
 * The persistent class for the "shopcatsorder" database table.
 * 
 */
@Entity
@Table(name="\"shopcatsorder\"")
@NamedQuery(name="Shopcatsorder.findAll", query="SELECT s FROM Shopcatsorder s")
public class Shopcatsorder implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="\"id\"")
	private int id;

	@Column(name="\"position\"")
	private int position;

	@Column(name="\"shopcategory\"")
	private Integer shopcategory;

	public Shopcatsorder() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getPosition() {
		return this.position;
	}

	public void setPosition(int position) {
		this.position = position;
	}

	public Integer getShopcategory() {
		return this.shopcategory;
	}

	public void setShopcategory(Integer shopcategory) {
		this.shopcategory = shopcategory;
	}

}